/billing/invoices
GET
/billing/invoices
const url = 'https://api.chatfood.app/billing/invoices?page=1&size=20';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://api.chatfood.app/billing/invoices?page=1&size=20' \ --header 'Authorization: Bearer <token>'Authorizations
Seção intitulada “Authorizations”Parameters
Seção intitulada “Parameters”Query Parameters
Seção intitulada “Query Parameters”accountId
string format: uuid
page
integer format: int32
size
integer format: int32
Responses
Seção intitulada “Responses”OK
object
count
integer format: int64
value
Array<object>
object
id
string format: uuid
number
string
status
string
periodStart
string format: date
periodEnd
string format: date
basis
string
issuedAt
string format: date-time
dueAt
string format: date-time
subtotalCents
integer format: int64
discountCents
integer format: int64
adjustmentCents
integer format: int64
amountCents
integer format: int64
pixDiscountBps
integer format: int32
amountPixCents
integer format: int64
trial
boolean
paidAt
string format: date-time
categoryCounts
Array<object>
object
categoryId
string format: uuid
categoryName
string
count
integer format: int32
object
count
integer format: int64
value
Array<object>
object
id
string format: uuid
number
string
status
string
periodStart
string format: date
periodEnd
string format: date
basis
string
issuedAt
string format: date-time
dueAt
string format: date-time
subtotalCents
integer format: int64
discountCents
integer format: int64
adjustmentCents
integer format: int64
amountCents
integer format: int64
pixDiscountBps
integer format: int32
amountPixCents
integer format: int64
trial
boolean
paidAt
string format: date-time
categoryCounts
Array<object>
object
categoryId
string format: uuid
categoryName
string
count
integer format: int32
Example
{ "value": [ { "status": "Open", "basis": "ActiveLeadsEndOfPeriod" } ]}object
count
integer format: int64
value
Array<object>
object
id
string format: uuid
number
string
status
string
periodStart
string format: date
periodEnd
string format: date
basis
string
issuedAt
string format: date-time
dueAt
string format: date-time
subtotalCents
integer format: int64
discountCents
integer format: int64
adjustmentCents
integer format: int64
amountCents
integer format: int64
pixDiscountBps
integer format: int32
amountPixCents
integer format: int64
trial
boolean
paidAt
string format: date-time
categoryCounts
Array<object>
object
categoryId
string format: uuid
categoryName
string
count
integer format: int32
Example
{ "value": [ { "status": "Open", "basis": "ActiveLeadsEndOfPeriod" } ]}